EDIT - bug #8243

Cdm Cache uses a lot of disk space
04/16/2019 11:48 AM - Patrick Plitzner

Status: Resolved Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 60%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

Recently Tilo experienced a sudden system freeze when his main partition went from ~3GB free disk space to 100% full in seconds.
We found out that it was the CDM cache file that took +2,5GB disk space.

This is not a problem per se but the users should be informed about the cache and it should be reflected in the specs.

. Microsoft I 837% 14,2 GB 4.009 3.743 266 15.04.2019 1
Bl ) Temp | | 14,2% 24 GB 114 79 35 15.04.2019 1
=] . <Dateien> e 100,0% 24 GB 44 44 0 15042019 1
_ cdm%0044efault?0043ache.data s 998% 24 GB 15.04.2019 1

He was working in the Additivity context with the FeatureTreeEditor, TermEditor, DatasetEditor and the CharacterMatrix.

Related issues:

Related to EDIT - bug #9838: Loading of details of categorical and quantitati... Closed
Related to EDIT - task #9842: Improve performance for loading DDS (RowWrapper... In Progress
History

#1 - 06/12/2019 01:30 PM - Patrick Plitzner

- Description updated

#2 - 11/19/2019 04:08 PM - Andreas Kohlbecker

The description states that the increase of diskspace usage happened in seconds "free disk space to 100% full in seconds."
If this is true it should be quite easy to pin down the cause for this cache growth.

#3 - 11/19/2019 04:09 PM - Andreas Kohlbecker

- Tags set to performance

#4 - 11/19/2019 04:10 PM - Andreas Kohlbecker

- Tags changed from performance to performance, ehcache

#5 - 10/05/2021 09:20 AM - Katja Luther

- Tags changed from performance, ehcache to performance, ehcache, matrix

We should have a look on this with the new implementation because the matrix worked with descriptions and descriptiveDataset as cdm objects and
now everything comes as dtos.

#6 - 11/02/2021 11:15 AM - Andreas Miiller
- Related to bug #9838: Loading of details of categorical and quantitative data takes very long added

#7 - 11/02/2021 11:19 AM - Andreas Miiller

Katja Luther wrote:

We should have a look on this with the new implementation because the matrix worked with descriptions and descriptiveDataset as cdm objects
and now everything comes as dtos.
As this was not only a problem of the matrix the new DTOs for the matrix may reduce the problem but not fully resolve it.
A further (or maybe even final) step could be the solving of #9838 which is seems to be partly (of fully) a duplicate for this ticket).

#8 - 11/02/2021 11:20 AM - Andreas Mdiller

- Status changed from New to In Progress

#9 - 03/23/2022 11:04 AM - Andreas Miiller

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.45

- % Done changed from 0 to 60

Please review if this is maybe fully fixed already or will be fixed after fully solving #9842.

Please pass to me after review.

#10 - 03/23/2022 11:04 AM - Andreas Miiller
- Related to task #9842: Improve performance for loading DDS (RowWrapperDTO) added
